#include "cobra.hh"
#include "cobra-parser.hh"

cobra::cobra(void) {
}

cobra::~cobra () {
}

int cobra::parse(const std::string &f) {
  file = f;
  scan_begin();
  yy::cobra_parser parser(*this);
  parser.set_debug_level(trace_parsing);
  int res = parser.parse();
  scan_end ();
  return res;
}

void cobra::error (const yy::location& l, const std::string& m) {
  std::cerr << l << ": " << m << std::endl;
}

void cobra::error (const std::string& m) {
  std::cerr << m << std::endl;
}
